<?php

/**
BSD 3-Clause License

Copyright (c) 2018-2019 Netsyms Technologies.
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright notice, this
   list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright notice,
   this list of conditions and the following disclaimer in the documentation
   and/or other materials provided with the distribution.

3. Neither the name of the copyright holder nor the names of its
   contributors may be used to endorse or promote products derived from
   this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/

http_response_code(451);

?>
<!DOCTYPE html>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1">

<title>Country Blocked</title>

<style>
html, body, a {
    font-family: Ubuntu, Roboto, Arial, sans-serif;
    background-color: #9c27b0;
    color: white;
}

.row {
    display: flex;
    justify-content: center;
}

.content {
    max-width: 900px;
    text-align: center;
    padding: 5px 10px;
}

svg {
    width: 300px;
    max-width: 75%;
}
</style>

<div class="row">
  <div class="content">
    <h1>HTTP 451: Unavailable for Legal Reasons</h1>
    
    <svg version="1.1" viewBox="0 0 178.74 166.47" xmlns="http://www.w3.org/2000/svg" xmlns:cc="http://creativecommons.org/ns#" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"><metadata><rdf:RDF><cc:Work rdf:about=""><dc:format>image/svg+xml</dc:format><dc:type rdf:resource="http://purl.org/dc/dcmitype/StillImage"/><dc:title/></cc:Work></rdf:RDF></metadata><g transform="translate(-17.221 -65.269)"><g transform="matrix(.26458 0 0 .26458 7.6886 20.416)" fill="none" stroke="#fff" stroke-width="3"><g fill="none" stroke="#fff" stroke-width="3"><path d="m708.4 502.01c0 37.16-11.92 65.02-27.17 90.8-3.57 6.03-8.05 7.41-12.34 12.89-9.93 12.7-5.87 26.34-19.51 36.53-11.91 8.9-14.48 24.4-14.96 40.51-0.23 7.49-16.51-1.37-21.05 3.27-2.6 2.65-11.77-1.05-15.39 0.98-7.92 4.44-14.63 14.82-23.89 19.37-7.4 3.64-12.6-16.52-21.87-15.24-15.76 2.18-33.59-4.74-52.76-3.26-8.96 0.69-12.09-18.46-21.25-17.17-12.83 1.81 0.4-46.57-11.35-37.37-12.99 10.17-7.22-22.08-19.92-22.08-5.47 0 7.66-30.14 2.17-30.19-2.36-0.02-32.59 33.65-33.93 31.7-4.21-6.11-7.87-20.52-15.34-26.81-5.25-4.43-7.9-11.28-13.4-15.09-8.99-6.23-16.11-2.36-25.66-7.12-5.77-2.87-11.54-7.1-17.37-6.82-8.84 0.42-14.53 2.38-27.09 3.39-20.5 1.66-34.66 14.44-55.05 14.11-17.02-0.28-31.21 35.1-47.69 32.77-18.03-2.55-32.34 4.29-45.13 4.12-11.01-0.14-20.45 29.56-30.42 25.02-14.24-6.49-36.13 2.41-47.822-13.43-5.486-7.44 12.562-6.29 8.105-15.84-2.685-5.75 0.519-12.17 0.268-19.57-0.192-5.68-3.656-12.27-5.863-17.55-2.267-5.42-7.544-9.92-10.006-16.38-1.976-5.18-0.969-12.2-3.938-17.57-4.309-7.8-11.825-15.42-16.082-22.92-2.189-3.86-1.425-8.14-3.718-11.67-6.669-10.26-17.693-14.85-21.19-23.52-2.934-7.27 20.25 5.54 21.256 0.17 0.721-3.84-6.174-8.59-10.094-16.02-4.882-9.25-7.114-21.28-7.114-25.05 0-9.54-2.331-27.06 0.883-34.25 3.198-7.15 8.255-2.79 14.227-7.64 9.028-7.33 17.724-16.67 30.774-23.07 4.513-2.21 11.229-1.81 16.214-3.81 19.33-7.77 39.47-16.91 57.97-26.47 8.73-4.52 11.2-20.1 19.53-25.23 3.65-2.25-6.66-13.07-3.05-15.43 5.29-3.45 1.29-10.87 6.56-14.56 4.16-2.91 15.25 14.97 19.34 11.85 2.64-2.02-4.04-19.61-1.45-21.77 3.35-2.8 15.21 7.51 18.56 4.62 2.61-2.26-7.96-18.51-5.38-20.86 13.61-12.45 31.83-22.7 47.09-34.28 4.46-3.39 19.79 21.93 24.32 18.69 7.28-5.22 18.8 10.12 25.57 3.38 5.6-5.58-11.58-7.92-6.34-15.39 6.96-9.89 12.74-23.67 24.48-33.89 7.92-6.9 20.45 1.94 29.93-2.47 3.02-1.4 4.15-6.15-0.11-9.64-4.05-3.31-13.5-5.34-11.15-7.84 3.29-3.51 22.32 6.61 33.45 6 5.58-0.31 11.7 4.26 13.25 4.26 5.2 0 11.92 5.49 17.06 5.64 3.63 0.1 5.11-5.18 8.7-5.01 7.95 0.38 11.26 2.97 19.04 3.71 7.4 0.69 4.02 10.28-0.88 15.7-2.52 2.79-16.91 7.68-12.68 13.14 4.31 5.55-14.81 19.29-8.17 23.4 25.99 16.08 49.08 45.95 79.91 53.95 24.99 6.49 26.96-48.57 29.67-73.46 1.71-15.72 17.78-64.12 21.46-53.82 3.84 10.76 7.9 26.5 17.87 47.51 1.72 3.63-0.1 16.99 2.24 20.9 2.39 4 7.19 0.39 11.75 2.08 4.26 1.59 8.24 8.45 11.51 12.52 5.2 6.46-1.54 28.67 4.42 35.58 8.16 9.47 4.05 39.01 13.49 48.28 3.76 3.69 8.43-2.83 12.43 0.6 5.72 4.9 17.56 12.78 21.35 19.42 2.76 4.85-2.74 8.67 1.64 11.97 7.32 5.5 9.42 27.64 16.84 32.44 3.04 1.96 0.69-6.33 8.41-0.84 5.68 4.04 3.43 15.89 7.3 21.06 5.85 7.8 19.16 23.36 23.89 30.4 10.61 15.8 4.65 39.4 4.65 47.67z"/><path d="m597.5 759.96c0 10.34-6.37 16.98-11.64 23.98-4.59 6.1-7.42 13.26-16.28 13.26-6.47 0-6.18-5.39-8.77-8.21-5.04-5.47-8.75-11.87-8.75-24.65 0-11.93-15.51-28.87-4.46-29.61 6.86-0.47 21.8 11.54 29.1 11.54 7.43 0 15.52-5.24 18.61-5.14 4.82 0.16 2.19 7.04 2.19 18.83z"/></g></g><path d="m131.01 145.61c1.5226 2.6392-0.38862 5.9381-3.4297 5.9381h-39.585c-3.0469 0-4.9493-3.3041-3.4296-5.9381l19.793-34.318c1.5233-2.6404 5.3387-2.6356 6.8593 0zm-23.222-7.0951c-2.0956 0-3.7945 1.6988-3.7945 3.7945 0 2.0956 1.6989 3.7945 3.7945 3.7945 2.0956 0 3.7945-1.6989 3.7945-3.7945 0-2.0956-1.6989-3.7945-3.7945-3.7945zm-3.6025-13.639 0.6119 11.219c0.0286 0.52496 0.46268 0.93591 0.98839 0.93591h4.0045c0.5257 0 0.95976-0.41095 0.98839-0.93591l0.6119-11.219c0.0309-0.56705-0.42053-1.0438-0.98839-1.0438h-5.2284c-0.56785 0-1.0192 0.47677-0.9883 1.0438z" fill="#fff" stroke-width=".082489"/></g></svg>


    <h2>Australian visitors are blocked from accessing this web service.</h2>

    <p><b>Please direct all complaints about this ban to your local government representative.</b></p>

    <p>
    In short, Australia has passed a law that requires companies to add dangerous backdoors upon request.
    The law also makes it illegal to disclose the existence of such backdoors.
    This is likely to fundamentally break the Internet as we know it. Furthermore, Australia is part of
    the <a href="https://en.wikipedia.org/wiki/Five_Eyes">Five Eyes</a>:
    a group of countries also including Canada, New Zealand, the United Kingdom and the United States.
    Edward Snowden described the Five Eyes as a "supra-national intelligence organisation that does not
    answer to the known laws of its own countries", and he released proof that these countries spy on
    each other's citizens.  Spying on their own citizens is illegal thanks to protections enshrined
    in documents such as the Bill of Rights in the United States.

    <p>
    Australia's new laws are testing the waters to see if such regulations are possible without significant backlash;
    if successful, there will be other laws implemented in other Five Eyes countries. This is not the first
    such law either; the United Kingdom passed the <a href="https://en.wikipedia.org/wiki/Investigatory_Powers_Act_2016">Investigatory Powers Act</a>
    in 2016 with similar provisions, including warrantless digital searches and even authorizing police hacking of personal computers.
    That UK law was widely criticized and challenged in court, eventually being ruled unlawful (although the fight is ongoing).  You need
    to help do the same in Australia, to save the Internet for everyone.

    <p>
    To learn more, please <a href="https://duckduckgo.com/?q=australia+encryption+law">click here</a>.

    <h3>Bypassing the Block</h3>

    <p>If you wish to continue, you'll need to use a VPN or other method, such as the 
    <a href="https://www.torproject.org/">Tor Browser</a>.  
    As long as your computer does not appear to be in Australia, you will be able to
    access all Netsyms services.  We will not block access to our <a href="https://source.netsyms.com">source code server</a> at this time, in case
    you wish to self-host our services on your own machines.
  </div>
</div>
